﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

namespace Demo3_Routing
{
    public partial class Products : System.Web.UI.Page
    {
        void DisplayCategory(string category)
        {
            NorthwindDataContext northwind = new NorthwindDataContext();

            var products = from p in northwind.Products
                           where p.Category.CategoryName == category
                           select p;

            Listview1.DataSource = products;
            Listview1.DataBind();
        }

        protected void Page_Load(object sender, EventArgs e)
        {
            string category = Page.RouteData.Values["category"] as string;

            DisplayCategory(category);
        }
    }
}